import java.util.*;
import java.io.*;

class BindInfo {
  public String name;
  public Boolean isSeller;
  public double prize;

  public BindInfo(String name, String type, double prize) {
	this.name =  name;
	this.prize = prize;
	
	if(type.compareTo("sell") == 0) isSeller = true;
		else isSeller = false;
  }

}

class Akcie {
  public int count;
  public String name;
  public ArrayList<BindInfo> binds;
  public ArrayList<BindInfo> sellers;
  public ArrayList<BindInfo> buyers;

  public Akcie(int c, String n) {
	count = c;
	name = n;

     binds = new ArrayList<BindInfo>();
     sellers = new ArrayList<BindInfo>();
     buyers = new ArrayList<BindInfo>();
  }

  public void add(BindInfo newBind) {
	if(newBind.isSeller) {
	  sellers.add(newBind);	  
	}
	else {
	  buyers.add(newBind);
	}

	binds.add(newBind);
  }

  public void procces() {
	Boolean empthy = true;
	System.out.println(name);	

	for(BindInfo b:binds) {
	System.out.print(b.name + ":");

		if(b.isSeller) {
		  for(BindInfo buy:buyers) {
	
		    if(buy.prize >= b.prize) {			
			System.out.print(" " + buy.name);		
			empthy = false;
			}
		  }	
		}
		else{
		  for(BindInfo sel:sellers) {
			if(sel.prize <= b.prize) {
			System.out.print(" " + sel.name);
			empthy = false;
			}
		  }
		}
	}
	
	if(empthy) System.out.println(" NO-ONE");
  }
}

public class exchange
{
public static void main(String arg[]) 
{
   BufferedReader in = new BufferedReader(new InputStreamReader(System.in));	
   while( true )
   { 
     try
    {  
      ArrayList<String> commands = new ArrayList<String>();   
	StringTokenizer tokenizer = new StringTokenizer(in.readLine(), " \t");
          while( tokenizer.hasMoreTokens() )
                   commands.add(tokenizer.nextToken());

        int iCommandCount = commands.size(); 
      
          if( iCommandCount == 2 )
          {
              int iCount = Integer.parseInt(commands.get(0));
              String strWord = commands.get(1);
              
	      if( iCount == 0 && strWord.equals("END") )
                 return;
                    
	      Akcie akcie = new Akcie(iCount, strWord);
                 
              commands = new ArrayList<String>();  

	      
              for( ; iCount > 0; --iCount )
              {
                   tokenizer = new StringTokenizer(in.readLine(), " \t");
                   while( tokenizer.hasMoreTokens() )
                      commands.add(tokenizer.nextToken());
		 
		  iCommandCount = commands.size();
                  if( iCommandCount == 3 )
                  {   
                      akcie.add(new BindInfo(commands.get(0), commands.get(1), Double.parseDouble(commands.get(2))) );
                  }
                 
              }
             akcie.procces();
		

          }
          
           
    }
    catch(Exception e)
    {
	System.out.println(e);
    }
  }
}

}
